<?php
/**
 * @var \MODX\Revolution\modX $modx
 * @var array $namespace
 */

// Add your classes to modx's autoloader
\MODX\Revolution\modX::getLoader()->addPsr4('botOffMail\\', $namespace['path'] . 'src/');

if (!$modx->services->has('botoffmail')) {
    // Register base class in the service container
    $modx->services->add('botoffmail', function($c) use ($modx) {
        return new \botOffMail\botOffMail($modx);
    });

    // Load packages model, uncomment if you have DB tables
    //$modx->addPackage('botOffMail\Model', $namespace['path'] . 'src/', null, 'botOffMail\\');
}
