<?php
$email = $scriptProperties['email'];

if (empty($email)) {
    $modxEmailSender = $modx->getOption('emailsender', null, '');
    $email = $modxEmailSender;
}

$class = isset($scriptProperties['class']) ? $scriptProperties['class'] : '';
$mailto = isset($scriptProperties['mailto']) ? (bool) $scriptProperties['mailto'] : true;

if (empty($email)) {
    return '';
}

$obfuscatedEmail = '';
for ($i = 0; $i < strlen($email); $i++) {
    $obfuscatedEmail .= '&#' . ord($email[$i]) . ';';
}

if ($mailto) {
    $obfuscatedMailto = 'm&#97;&#105;&#108;&#116;&#111;&#58;' . $obfuscatedEmail;
    $classAttribute = !empty($class) ? ' class="' . $class . '"' : '';
    $output = '<a href="' . $obfuscatedMailto . '" rel="nofollow"' . $classAttribute . '>' . $obfuscatedEmail . '</a>';
} else {
    $output = $obfuscatedEmail;
}

return $output;