<?php
abstract class botOffMailBaseManagerController extends modExtraManagerController {
    /** @var \botOffMail\botOffMail $botoffmail */
    public $botoffmail;

    public function initialize(): void
    {
        $this->botoffmail = $this->modx->services->get('botoffmail');

        $this->addCss($this->botoffmail->getOption('cssUrl') . 'mgr.css');
        $this->addJavascript($this->botoffmail->getOption('jsUrl') . 'mgr/botoffmail.js');

        $this->addHtml('
            <script type="text/javascript">
                Ext.onReady(function() {
                    botoffmail.config = '.$this->modx->toJSON($this->botoffmail->config).';
                });
            </script>
        ');

        parent::initialize();
    }

    public function getLanguageTopics(): array
    {
        return array('botoffmail:default');
    }

    public function checkPermissions(): bool
    {
        return true;
    }
}
